Debian Bug report logs - #768893
unblock: libeatmydata/82-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mattia Rizzolo <mattia@mapreri.org>

Date: Sun, 9 Nov 2014 22:33:01 UTC

Severity: normal

Tags: moreinfo

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pere@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Sun, 09 Nov 2014 22:33:06 GMT) (full text, mbox, link).


Acknowledgement sent to Mattia Rizzolo <mattia@mapreri.org>:
New Bug report received and forwarded. Copy sent to pere@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 09 Nov 2014 22:33:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.debian.org (full text, mbox, reply):

From: Mattia Rizzolo <mattia@mapreri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: libeatmydata/82-3
Date: Sun, 9 Nov 2014 23:30:36 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package libeatmydata.

This upload fix an imbortant bug,
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765738
that renders the program useless in some cases. Note that that patch already got
included upstream, in the release 105 (see the debian vcs).
It also tries to fix an ftbfs on a couple of non-release arch, but it seems that
a patch it's also needed.
To kid the test suite and fix the ftbfs a simple

--- a/test_run.sh
+++ b/test_run.sh
@@ -9,6 +9,8 @@
 # COPYING file in the root project directory for full text.
 #
 
+`which strace` || exit 0
+
 # Get filename we want to run without path
 name=`echo $1 | sed 's/.*\/\(libeatmydata\/.*[^\/]*\)$/\1/'`

is enough.
Do you feel I should upload such a change, for including it in jessie?
I would be for it.


Current debdiff follows:

diff -Nru libeatmydata-82/debian/changelog libeatmydata-82/debian/changelog
--- libeatmydata-82/debian/changelog    2014-10-15 20:25:18.000000000 +0200
+++ libeatmydata-82/debian/changelog    2014-11-09 22:16:55.000000000 +0100
@@ -1,3 +1,13 @@
+libeatmydata (82-3) unstable; urgency=low
+
+  * debian/patches/bug-702711.patch:
+    + [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
+    + [0167220] update headers.
+  * [3fabf6f] debian/control: build-depend on strace only on non hurd and non
+    kfreebsd systems, where it is unavailable.
+
+ -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 09 Nov 2014 22:16:51 +0100
+
 libeatmydata (82-2) unstable; urgency=medium
 
   * Upload to unstable.
diff -Nru libeatmydata-82/debian/control libeatmydata-82/debian/control
--- libeatmydata-82/debian/control  2014-10-03 20:45:30.000000000 +0200
+++ libeatmydata-82/debian/control  2014-11-09 12:06:58.000000000 +0100
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                debhelper (>=9),
-               strace
+               strace [!hurd-any !kfreebsd-any]
 Homepage: https://launchpad.net/libeatmydata
 Vcs-Git: git://anonscm.debian.org/collab-maint/libeatmydata.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libeatmydata.git
diff -Nru libeatmydata-82/debian/patches/bug-702711.patch libeatmydata-82/debian/patches/bug-702711.patch
--- libeatmydata-82/debian/patches/bug-702711.patch 2014-10-03 21:00:09.000000000 +0200
+++ libeatmydata-82/debian/patches/bug-702711.patch 2014-11-09 22:12:41.000000000 +0100
@@ -3,10 +3,12 @@
  called by ctors, do not return an unexpected error.
 Author: Roland Stigge <stigge@antcom.de>
 Reviewed-By: Petter Reinholdtsen <pere@hungry.com>
+Reviewed-By: Mattia Rizzolo <mattia@mapreri.org>
 Bug: https://launchpad.net/bugs/1374862
 Bug-Debian: https://bugs.debian.org/702711
+Bug-Debian: https://bugs.debian.org/765738
 Forwarded: https://launchpad.net/bugs/1374862
-Last-Update: 2014-10-03
+Last-Update: 2014-10-29
 
 --- a/libeatmydata/libeatmydata.c
 +++ b/libeatmydata/libeatmydata.c
@@ -40,4 +42,13 @@
 +  if (initing) {
        errno = EFAULT;
        return -1;
+   }
+@@ -171,7 +174,7 @@
+ 
+   /* In pthread environments the dlsym() may call our open(). */
+   /* We simply ignore it because libc is already loaded       */
+-  if (!libc_open64) {
++  if (initing) {
+       errno = EFAULT;
+       return -1;
    }

unblock libeatmydata/82-3

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
arm64
armhf
ppc64el
s390x
armel

Kernel: Linux 3.16-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
regards,
						Mattia Rizzolo

GPG Key: 4096R/B9444540	http://goo.gl/I8TMB
more about me:		http://mapreri.org
Launchpad User:		https://launchpad.net/~mapreri
Ubuntu Wiki page:	https://wiki.ubuntu.com/MattiaRizzolo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Tue, 11 Nov 2014 18:33:04 GMT) (full text, mbox, link).


Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 11 Nov 2014 18:33:04 GMT) (full text, mbox, link).


Message #10 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Petter Reinholdtsen <pere@hungry.com>
To: 768893@bugs.debian.org
Subject: Re: unblock: libeatmydata/82-3
Date: Tue, 11 Nov 2014 19:31:06 +0100
Here is just a short statement of support for this unblock request.
Having a fix for bug #765738 in place would remove the need for the
changes done in debian-edu-install version 1.817 to disable eatmydata
when installing.  It would also speed up the installation of Debian
Edu significantly, see
<URL: http://people.skolelinux.org/pere/blog/Speeding_up_the_Debian_installer_using_eatmydata_and_dpkg_divert.html >
for some benchmark results.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Tue, 11 Nov 2014 21:12:04 GMT) (full text, mbox, link).


Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 11 Nov 2014 21:12:04 GMT) (full text, mbox, link).


Message #15 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Jonathan Wiltshire <jmw@debian.org>
To: Mattia Rizzolo <mattia@mapreri.org>, 768893@bugs.debian.org
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Tue, 11 Nov 2014 21:10:26 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

On Sun, Nov 09, 2014 at 11:30:36PM +0100, Mattia Rizzolo wrote:
> This upload fix an imbortant bug,
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765738
> that renders the program useless in some cases. Note that that patch already got
> included upstream, in the release 105 (see the debian vcs).
> It also tries to fix an ftbfs on a couple of non-release arch, but it seems that
> a patch it's also needed.
> To kid the test suite and fix the ftbfs a simple
> 
> --- a/test_run.sh
> +++ b/test_run.sh
> @@ -9,6 +9,8 @@
>  # COPYING file in the root project directory for full text.
>  #
>  
> +`which strace` || exit 0
> +
>  # Get filename we want to run without path
>  name=`echo $1 | sed 's/.*\/\(libeatmydata\/.*[^\/]*\)$/\1/'`
> 
> is enough.

Are you sure about that?

`which strace` causes strace to print its usage text. I think you mean
something like

  which strace >/dev/null || exit 0

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Jonathan Wiltshire <jmw@debian.org> to 768893-submit@bugs.debian.org. (Tue, 11 Nov 2014 21:12:04 GMT) (full text, mbox, link).


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Wed, 12 Nov 2014 00:06:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mattia Rizzolo <mattia@mapreri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Nov 2014 00:06:04 GMT) (full text, mbox, link).


Message #22 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Mattia Rizzolo <mattia@mapreri.org>
To: Jonathan Wiltshire <jmw@debian.org>, 768893@bugs.debian.org
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Wed, 12 Nov 2014 01:02:23 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 11, 2014 at 09:10:26PM +0000, Jonathan Wiltshire wrote:
> Are you sure about that?
> 
> `which strace` causes strace to print its usage text. I think you mean
> something like
> 
>   which strace >/dev/null || exit 0

Umh, yes it would be better. That was only an example, something to say that
such a change is quite regression-free.
But if I'm to upload it, I'd definitely use this:

--- a/test_run.sh
+++ b/test_run.sh
@@ -9,6 +9,13 @@
 # COPYING file in the root project directory for full text.
 #
 
+CHECKOUT=$(which strace)
+CHECKRET="$?"
+if [ ! "$CHECKRET" -eq 0 ];then
+    echo "Could not find strace. Not running tests, but marking them as pass."
+    exit 0
+fi
+
 # Get filename we want to run without path
 name=`echo $1 | sed 's/.*\/\(libeatmydata\/.*[^\/]*\)$/\1/'`
 

which is less prone to errors (even such a simple code could lie an error, as
you spotted out...), and it prints a useful message IFF the tests are skipped.


-- 
regards,
						Mattia Rizzolo

GPG Key: 4096R/B9444540	http://goo.gl/I8TMB
more about me:		http://mapreri.org
Launchpad User:		https://launchpad.net/~mapreri
Ubuntu Wiki page:	https://wiki.ubuntu.com/MattiaRizzolo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Wed, 12 Nov 2014 18:21:12 GMT) (full text, mbox, link).


Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Nov 2014 18:21:12 GMT) (full text, mbox, link).


Message #27 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Jonathan Wiltshire <jmw@debian.org>
To: Mattia Rizzolo <mattia@mapreri.org>, 768893@bugs.debian.org
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Wed, 12 Nov 2014 18:17:06 +0000
[Message part 1 (text/plain, inline)]
On Wed, Nov 12, 2014 at 01:02:23AM +0100, Mattia Rizzolo wrote:
> On Tue, Nov 11, 2014 at 09:10:26PM +0000, Jonathan Wiltshire wrote:
> > Are you sure about that?
> > 
> > `which strace` causes strace to print its usage text. I think you mean
> > something like
> > 
> >   which strace >/dev/null || exit 0
> 
> Umh, yes it would be better. That was only an example, something to say that
> such a change is quite regression-free.
> But if I'm to upload it, I'd definitely use this:
> 
> --- a/test_run.sh
> +++ b/test_run.sh
> @@ -9,6 +9,13 @@
>  # COPYING file in the root project directory for full text.
>  #
>  
> +CHECKOUT=$(which strace)
> +CHECKRET="$?"
> +if [ ! "$CHECKRET" -eq 0 ];then
> +    echo "Could not find strace. Not running tests, but marking them as pass."
> +    exit 0
> +fi
> +
>  # Get filename we want to run without path
>  name=`echo $1 | sed 's/.*\/\(libeatmydata\/.*[^\/]*\)$/\1/'`
>  
> 
> which is less prone to errors (even such a simple code could lie an error, as
> you spotted out...), and it prints a useful message IFF the tests are skipped.

Ok, so what are you asking for? an unblock? pre-approval?


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Wed, 12 Nov 2014 21:18:14 GMT) (full text, mbox, link).


Acknowledgement sent to Mattia Rizzolo <mattia@mapreri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Nov 2014 21:18:14 GMT) (full text, mbox, link).


Message #32 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Mattia Rizzolo <mattia@mapreri.org>
To: Jonathan Wiltshire <jmw@debian.org>, "768893@bugs.debian.org" <768893@bugs.debian.org>
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Wed, 12 Nov 2014 21:15:50 +0000
[Message part 1 (text/plain, inline)]
On Wed Nov 12 2014 at 7:17:09 PM Jonathan Wiltshire <jmw@debian.org> wrote:
>
> Ok, so what are you asking for? an unblock? pre-approval?


I'm asking for an unblock for libeatmydata/82-3 AND your opinion (call it
pre-approval if you like (actually I'd be happier with a full
pre-approval)) for libeatmydata/82-4 with the only change I posted at my
last email.

I think a pre-approval is needed for that change because there is no bugs
at all regarding building libeatmydata on hurd and kfreebsd, and anyway
that bugs would not be important.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#768893; Package release.debian.org. (Thu, 13 Nov 2014 11:57:04 GMT) (full text, mbox, link).


Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 13 Nov 2014 11:57:04 GMT) (full text, mbox, link).


Message #37 received at 768893@bugs.debian.org (full text, mbox, reply):

From: Holger Levsen <holger@layer-acht.org>
To: Mattia Rizzolo <mattia@mapreri.org>, 768893@bugs.debian.org
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Thu, 13 Nov 2014 12:54:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mittwoch, 12. November 2014, Mattia Rizzolo wrote:
> On Wed Nov 12 2014 at 7:17:09 PM Jonathan Wiltshire <jmw@debian.org> wrote:
> > Ok, so what are you asking for? an unblock? pre-approval?
> 
> I'm asking for an unblock for libeatmydata/82-3 AND your opinion (call it
> pre-approval if you like (actually I'd be happier with a full
> pre-approval)) for libeatmydata/82-4 with the only change I posted at my
> last email.

Mattia, it's seldom a good idea to mix topics and especially in this case with 
the release team getting ~50 bugs a day it doesn't help them at all.

About the libeatmydata/82-3 unblock request:

 libeatmydata (82-3) unstable; urgency=low
 .
   * debian/patches/bug-702711.patch:
     + [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
     + [0167220] update headers.
   * [3fabf6f] debian/control: build-depend on strace only on non hurd and non
     kfreebsd systems, where it is unavailable.

#702711 breaks eatmydata completly on i386 (which is noticable in Debian Edu), 
so I disagree with the severity of #702711 which is currently important, like 
#765738 was at well. I think both bugs are serious and must be fixed for 
jessie.

So, dear release team, could you please unblock libeatmydata? The debdiff 
looks good to me...!
 
> I think a pre-approval is needed for that change because there is no bugs
> at all regarding building libeatmydata on hurd and kfreebsd, and anyway
> that bugs would not be important.

I'd suggest coming back to 82-4 once 82-3 is in jessie _and_ filing bugs about 
the issues you want to fix in 82-4 _first_.


cheers,
	Holger


[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Thu, 13 Nov 2014 20:42:24 GMT) (full text, mbox, link).


Notification sent to Mattia Rizzolo <mattia@mapreri.org>:
Bug acknowledged by developer. (Thu, 13 Nov 2014 20:42:24 GMT) (full text, mbox, link).


Message #42 received at 768893-done@bugs.debian.org (full text, mbox, reply):

From: Jonathan Wiltshire <jmw@debian.org>
To: Mattia Rizzolo <mattia@mapreri.org>, 768893-done@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#768893: unblock: libeatmydata/82-3
Date: Thu, 13 Nov 2014 20:41:57 +0000
[Message part 1 (text/plain, inline)]
On Thu, Nov 13, 2014 at 12:54:02PM +0100, Holger Levsen wrote:
> Hi,
> 
> On Mittwoch, 12. November 2014, Mattia Rizzolo wrote:
> > On Wed Nov 12 2014 at 7:17:09 PM Jonathan Wiltshire <jmw@debian.org> wrote:
> > > Ok, so what are you asking for? an unblock? pre-approval?
> > 
> > I'm asking for an unblock for libeatmydata/82-3 AND your opinion (call it
> > pre-approval if you like (actually I'd be happier with a full
> > pre-approval)) for libeatmydata/82-4 with the only change I posted at my
> > last email.
> 
> Mattia, it's seldom a good idea to mix topics and especially in this case with 
> the release team getting ~50 bugs a day it doesn't help them at all.
> 
> About the libeatmydata/82-3 unblock request:
> 
>  libeatmydata (82-3) unstable; urgency=low
>  .
>    * debian/patches/bug-702711.patch:
>      + [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
>      + [0167220] update headers.
>    * [3fabf6f] debian/control: build-depend on strace only on non hurd and non
>      kfreebsd systems, where it is unavailable.
> 
> #702711 breaks eatmydata completly on i386 (which is noticable in Debian Edu), 
> so I disagree with the severity of #702711 which is currently important, like 
> #765738 was at well. I think both bugs are serious and must be fixed for 
> jessie.
> 
> So, dear release team, could you please unblock libeatmydata? The debdiff 
> looks good to me...!

With pleasure :)

One comment: you don't need to credit your sponsor in the changelog. That's
not a packaging change, and the fact gets recorded elsewhere anyway.

> > I think a pre-approval is needed for that change because there is no bugs
> > at all regarding building libeatmydata on hurd and kfreebsd, and anyway
> > that bugs would not be important.
> 
> I'd suggest coming back to 82-4 once 82-3 is in jessie _and_ filing bugs about 
> the issues you want to fix in 82-4 _first_.

Yes, please do this.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Dec 2014 07:32:36 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Jul 1 13:21:22 2023; Machine Name: buxtehude

Debian Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.